%global git_commit e0fdedc
%global cluster olabini

# Prevent brp-java-repack-jars from being run.
%define __jar_repack %{nil}

Name:           jvyamlb
Version:        0.2.5
Release:        %mkrel 14
Summary:        YAML processor for JRuby

Group:          Development/Java 
License:        MIT
URL:            http://github.com/%{cluster}/%{name}
Source0:        %{url}/tarball/%{version}/%{cluster}-%{name}-%{git_commit}.tar.gz

Patch0:         javac-1.8.patch

BuildArch:      noarch

BuildRequires:  ant
BuildRequires:  ant-junit
BuildRequires:  bytelist
BuildRequires:  java-devel
BuildRequires:  jcodings
BuildRequires:  joda-time
BuildRequires:  jpackage-utils
BuildRequires:  junit

Requires:       bytelist
Requires:       java-headless
Requires:       jcodings
Requires:       joda-time


%description
YAML processor extracted from JRuby.


%prep
%setup -q -n %{cluster}-%{name}-%{git_commit}
%patch0 -p1

find -name '*.class' -exec rm -f '{}' \;
find -name '*.jar' -exec rm -f '{}' \;

build-jar-repository -s -p lib joda-time bytelist jcodings


%build
%ant


%install
%__mkdir_p %{buildroot}%{_javadir}

%__cp -p lib/%{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar

%check
%ant test


%files
%{_javadir}/*
%doc LICENSE README CREDITS




%changelog
* Tue Sep 08 2020 daviddavid <daviddavid> 0.2.5-14.mga8
+ Revision: 1623486
- Set javac source and target to 1.8 to fix Java 11 builds
- Rebuilt for JDK-11
+ pterjan <pterjan>
- Remove usage of obsolete macros (https://github.com/rpm-software-management/rpm/issues/1211)

* Wed Feb 12 2020 umeabot <umeabot> 0.2.5-13.mga8
+ Revision: 1491724
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 0.2.5-12.mga7
+ Revision: 1263875
- Mageia 7 Mass Rebuild

* Sat Feb 06 2016 umeabot <umeabot> 0.2.5-11.mga6
+ Revision: 941585
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.2.5-10.mga5
+ Revision: 749086
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.2.5-9.mga5
+ Revision: 680904
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.2.5-8.mga4
+ Revision: 506501
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.2.5-7.mga3
+ Revision: 355737
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Apr 28 2011 dmorgan <dmorgan> 0.2.5-6.mga1
+ Revision: 92545
- Rebuild after bootstrapping
- imported package jvyamlb


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Feb 09 2010 Victor G. Vasilyev <victor.vasilyev@sun.com> - 0.2.5-4
- Fix the clean up code in the prep section
- Fix typo

* Thu Jan 28 2010 Victor G. Vasilyev <victor.vasilyev@sun.com> - 0.2.5-3
- New upstream
- name-version.jar is also provided
- Use macros in all sections of the spec

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Dec 12 2008 Conrad Meyer <konrad@tylerc.org> - 0.2.5-1
- Newer version (0.2.5).

* Sat Jul 19 2008 Conrad Meyer <konrad@tylerc.org> - 0.2.2-1
- Newer version.

* Thu Apr 24 2008 Conrad Meyer <konrad@tylerc.org> - 0.1-2
- Add tests to check section.
- Don't include version in jar filename.

* Tue Apr 22 2008 Conrad Meyer <konrad@tylerc.org> - 0.1-1
- Initial RPM.
